/* ----------------------------------
* Tabs
* ---------------------------------- */

.bb-tablist:before {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 0;
  border-top: 0.1rem solid #e7e7e7;
}

.bb-tablist {
  display: flex;
  align-items: flex-end;
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  pointer-events: none;
  z-index: 0;
}

.bb-tablist > li {
  -moz-box-sizing: content-box;
  margin: 0;
  padding: 0;
  height: 0;
  background-color: #ffffff;
  list-style: none;
  pointer-events: all;
  flex: 1 1 0;
}

#call-log-filter{
  width: 100%;
  padding: 0rem;
}

.bb-tablist > li > a,
.bb-tablist > li > button {
  position: relative;
  -moz-box-sizing: content-box;
  display: block;
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  color: #5f5f5f;
  font-size: 1.6rem;
  text-decoration: none;
  text-align: center;
  line-height: 0;
  border: 0;
  background-color: transparent;
  background-size: 3rem auto;
  background-repeat: no-repeat;
  outline: none;
}

.bb-tablist > li > button {
  background-image: none;
}

.bb-tablist > li > button::-moz-focus-inner {
  border: none;
  outline: none;
}

.bb-tablist > li > .icon {
  font-size: 0;
  background-position: 50% 0;
}

.bb-tablist > li > a:active,
.bb-tablist > li > button:active {
  border-radius: 0;
  background-color: #b2f2ff;
}

/* ----------------------------------
 * Skin: dark
 * ---------------------------------- */
.bb-tablist.skin-dark:before {
  border-color: rgba(189,189,189, 0.1);
}

.bb-tablist.skin-dark > li:before {
  content: "";
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  height: 0;
  background-color: #000000;
  z-index: -1;
}

.bb-tablist.skin-dark > li {
  background-color: transparent;
}

.bb-tablist.skin-dark > li > a,
.bb-tablist.skin-dark > li > button {
  color: #ffffff;
  background-color: transparent;
}

.bb-tablist.skin-dark > li > a:active,
.bb-tablist.skin-dark > li > button:active {
  background-color: rgb(0,170,204);
}

/* Selected state */
.bb-tablist > li > a:after,
.bb-tablist > li > button:after {
  display: none;
}

.bb-tablist > li:target > a,
.bb-tablist > li:target > button,
.bb-tablist > li > a[aria-selected="true"],
.bb-tablist > li > button[aria-selected="true"] {
  color: #00B965;
  font: italic medium 18px "Fira Sans";
  background-position: 50% 100%;
}

.bb-tablist > li:target > a:after,
.bb-tablist > li:target > button:after,
.bb-tablist > li > a[aria-selected="true"]:after,
.bb-tablist > li > button[aria-selected="true"]:after {
  display: inline-block;
  content: "";
  position: absolute;
  width: 100%;
  left: 0;
  top:0;
  height: calc(100% - 0.3rem);
  /*border-bottom: 0.3rem solid #00aacc;*/
  visibility: visible;
}

.bb-tablist > li:target > a:active,
.bb-tablist > li:target > button:active,
.bb-tablist > li > a[aria-selected="true"]:active,
.bb-tablist > li > button[aria-selected="true"]:active {
  color: #5f5f5f;
  background-position: 50% 0;
}

.bb-tablist.skin-dark > li:target > a:active,
.bb-tablist.skin-dark > li:target > button:active,
.bb-tablist.skin-dark > li > a[aria-selected="true"]:active,
.bb-tablist.skin-dark > li > button[aria-selected="true"]:active {
  background-color: #00aacc;
  color: #fff;
}


/* Disabled state */
.bb-tablist > li[aria-disabled="true"] > a,
.bb-tablist > li[aria-disabled="true"] > button,
.bb-tablist > li[disabled] > a,
.bb-tablist > li[disabled] > button,
.bb-tablist > li > a[aria-disabled="true"],
.bb-tablist > li > button[aria-disabled="true"],
.bb-tablist > li > a[disabled],
.bb-tablist > li > button[disabled] {
  color: #333333;
  opacity: 0.25;
  pointer-events: none;
}

.bb-tablist.skin-dark > li[aria-disabled="true"] > a,
.bb-tablist.skin-dark > li[aria-disabled="true"] > button,
.bb-tablist.skin-dark > li[disabled] > a,
.bb-tablist.skin-dark > li[disabled] > button,
.bb-tablist.skin-dark > li > a[aria-disabled="true"],
.bb-tablist.skin-dark > li > button[aria-disabled="true"],
.bb-tablist.skin-dark > li > a[disabled],
.bb-tablist.skin-dark > li > button[disabled] {
  opacity: 0.35;
  background-color: transparent;
}

.bb-tablist .bb-tabpanel {
  position: fixed;
  top:  var(--statusbar-height, 2.6rem);
  right: 0;
  bottom: 0;
  left: 0;
  visibility: hidden;
}

.bb-tablist :target .bb-tabpanel,
.bb-tablist [aria-selected="true"] ~.bb-tabpanel {
  visibility: visible;
}

/* ----------------------------------
 * Filters
 * ---------------------------------- */

.bb-tablist[data-type="filter"] {
  display: flex;
  position: relative;
  background: var(--color-gs10);
  overflow: hidden;
  /*border-bottom: 0.1rem solid #e7e7e7;*/
  /*box-sizing: border-box;*/
}

.bb-tablist[data-type="filter"]:before {
  display: none;
}

.bb-tablist[data-type="filter"] > li {
  background: none;
  position: relative;
  color: #737272;
  text-align: center;
  height: 100%;
  line-height: 30px;
  box-sizing: border-box;
  /*min-width: 100%;*//*for not showing all tabs even content not loaded yet but by new UI all mus be shown*/
}

.bb-tablist[data-type="filter"] > li:first-child {
  border-left: none;
}

.bb-tablist[data-type="filter"] > li > a,
.bb-tablist[data-type="filter"] > li > button {
  height: 3rem;
  border: none;
  box-sizing: border-box;
  width: auto;
  position: static;
  display: inline-block;
  padding: 0 0.5rem;
  color: #575757;
  line-height: 30px;
  font-style: italic;
  text-decoration: none;
  text-overflow: ellipsis;
}

.bb-tablist[data-type="filter"] > li > a:before,
.bb-tablist[data-type="filter"] > li > button:before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
.bb-tablist[data-type="filter"] > li > a {
  width: 100%;
  font: italic medium;
  font-family: Fira Sans;
}
/*.bb-tablist[data-type="filter"] > li:before,*/
.bb-tablist[data-type="filter"] > li:target > a:after,
.bb-tablist[data-type="filter"] > li:target > button:after,
.bb-tablist[data-type="filter"] > li > a[aria-selected="true"]:after,
.bb-tablist[data-type="filter"] > li > button[aria-selected="true"]:after {
  display: none;
}

/* Selected state */
.bb-tablist[data-type="filter"] > li:active {
  color: #ffffff;
  background-color: #b2f2ff;
}

.bb-tablist[data-type="filter"] > li:target > a,
.bb-tablist[data-type="filter"] > li:target > button,
.bb-tablist[data-type="filter"] > li > a[aria-selected="true"],
.bb-tablist[data-type="filter"] > li > button[aria-selected="true"] {
  color: #00B965;
  border-bottom: 3px solid #00B965;
}

.bb-tablist[data-type="filter"] > li > a:active {
  background-color: transparent;
}

.bb-tablist[data-type="filter"] .h3 {
  width: auto !important;
  max-width: 100%;
}

.bb-tablist[data-type="filter"] gaia-tabs > * {
  background: none;
}

/* preload partial `call_log.css` for init view part */
.theme-communications h1 {
  background-color: var(--header-background);
  line-height: var(--header-height);
  margin: 0;
  text-align: center;
  height: var(--header-height);
  color: var(--color-gs00);
}
